Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class Process

    java.lang.Object
      org.apache.ode.bpel.compiler.SourceLocation
          org.apache.ode.bpel.compiler.bom.BpelObject
              org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
                  org.apache.ode.bpel.compiler.bom.Scope
                      org.apache.ode.bpel.compiler.bom.Process

    public class Process

extends Scope

BPEL Object Model (BOM) representation of a BPEL process.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`JoinFailureSuppressor.SuppressJoinFailure`

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`__suppressJoinFailure`

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`Process(org.w3c.dom.Element el)`

Method Summary
`BpelCompiler.Version` | `getBpelVersion()` Get the BPEL version of this process.
`java.lang.String` | `getExpressionLanguage()` Get the default expression language.
`java.util.List<Extension>` | `getExtensions()` Get the `<extensions>`(s) of the process.
`java.util.List<Import>` | `getImports()` Get the `<import>`(s) of the process.
`java.lang.String` | `getName()` Get the name of the process.
`java.lang.String` | `getQueryLanguage()` Get the default query language.
`Activity` | `getRootActivity()` Get the root, process-level activity.
`java.lang.String` | `getSource()` Get the URL of the BPEL source document as a String.
`java.lang.String` | `getTargetNamespace()` Get the process' target namespace.

Methods inherited from class org.apache.ode.bpel.compiler.bom.Scope
`getAlarms, getAtomicScope, getCompensationHandler, getCorrelationSetDecl, getCorrelationSetDecls, getEvents, getFaultHandler, getIsolatedScope, getPartnerLink, getPartnerLinks, getTerminationHandler, getVariableDecl, getVariables, isVariableAccessSerialized`

Methods inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`getSuppressJoinFailure`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Process

    public Process(org.w3c.dom.Element el)

Method Detail

### getName

    public java.lang.String getName()

  Get the name of the process.

  Returns:
    name of the process

### getBpelVersion

    public BpelCompiler.Version getBpelVersion()

  Get the BPEL version of this process.

### getRootActivity

    public Activity getRootActivity()

  Get the root, process-level activity.

  Returns:
    root process-level activity

### getSource

    public java.lang.String getSource()

  Get the URL of the BPEL source document as a String.

  Returns:
    BPEL source URL.

### getTargetNamespace

    public java.lang.String getTargetNamespace()

  Get the process' target namespace.

  Returns:
    process' target namespace

### getQueryLanguage

    public java.lang.String getQueryLanguage()

  Get the default query language.

  Returns:
    the default query language.

### getExpressionLanguage

    public java.lang.String getExpressionLanguage()

  Get the default expression language.

  Returns:
    default expression language

### getImports

    public java.util.List<Import> getImports()

  Get the `<import>`(s) of the process.

  Returns:
    `Set` of `Import`s

### getExtensions

    public java.util.List<Extension> getExtensions()

  Get the `<extensions>`(s) of the process.

  Returns:
    `Set` of `Extension`s

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD